%define real_name pysqlite

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Python bindings for sqlite.
Name:      	python-sqlite
Version:   	1.1.7
Release:   	2
License: 	GNU/GPL
URL:		http://pysqlite.org/
Group:     	Development/Libraries
Source0: 	http://initd.org/pub/software/pysqlite/releases/1.1/%{version}/pysqlite-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel sqlite-devel

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%prep
%setup -q -n pysqlite
rm -f doc/rest/.*swp

%build
python ./setup.py build 

%install
rm -rf ${RPM_BUILD_ROOT}
python ./setup.py install --prefix="${RPM_BUILD_ROOT}/%{_prefix}"

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README doc/ examples/
%{_libdir}/python*/site-packages/*

%changelog
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-2
- rebuilt against python 2.5
* Sun Jun 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.7-1
- Initial Release
